<head>
  <meta charset="utf-8"/>
  <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
  <meta name="viewport" content="width=device-width, initial-scale=1"/>

  <title>{% if page.title %}{{ page.title }} | {% endif %}{{ site.title }}</title>
  <meta property="og:title" content="{% if page.title %}{{ page.title }} | {% endif %}{{ site.title }}" />

  {% if page.excerpt and page.excerpt != blank %}
    {% assign page_description = page.excerpt | strip_html | strip_newlines | truncate: 160 %}
  {% elsif page.summary and page.summary != blank %}
    {% assign page_description = page.summary | strip_html | strip_newlines | truncate: 160 %}
  {% else %}
    {% assign page_description = site.data.strings.index.introduction %}
  {% endif %}

  <meta name="description" content="{{ page_description }}">
  <meta property="og:description" content="{{ page_description }}" />

  {% if page.icon and page.icon != blank %}
    <meta property="og:image" content="{{ site.fdroid-repo }}/{{ page.icon }}" />
  {% else %}
    <meta property="og:image" content="{{ site.url }}{% asset fdroid-logo.png %}" />
  {% endif %}

  <link rel="preload" href="{% asset roboto.ttf %}" as="font" type="font/ttf" crossorigin />
  <link rel="preload" as="style" href="{{ site.baseurl }}/css/main.css"/>
  <link rel="dns-prefetch" href="https://search.f-droid.org"/>
  <link rel="dns-prefetch" href="https://fdroid.gitlab.io"/>
  <link rel="stylesheet" href="{{ site.baseurl }}/css/main.css"/>
  {% comment %} the line below uses single quotes to prevet jekyll-polyglot from adding a language to the url {% endcomment -%}
  <link rel="canonical" href='{{ page.permalink | replace:'index.html','' | absolute_url }}'/>
  <link rel="alternate" type="application/rss+xml" title="{{ site.title }}" href="{{ site.baseurl }}/feed.xml"/>

  <link href="{{ site.baseurl }}/osd.xml" rel="search" title="F-Droid" type="application/opensearchdescription+xml"/>

  <link rel="apple-touch-icon" sizes="180x180" href="{% asset apple-touch-icon.png %}"/>
  <link rel="icon" type="image/png" sizes="48x48" href="{% asset favicon.png %}"/>
  <link rel="icon" type="image/png" sizes="32x32" href="{% asset favicon-32x32.png %}"/>
  <link rel="icon" type="image/png" sizes="16x16" href="{% asset favicon-16x16.png %}"/>
  <link rel="manifest" href="{% asset site.webmanifest %}"/>
  <link rel="mask-icon" href="{% asset safari-pinned-tab.svg %}" color="#5bbad5"/>
  <link rel="shortcut icon" href="{% asset favicon.ico %}"/>
  <meta name="msapplication-TileColor" content="#ffffff"/>
  <meta name="msapplication-config" content="{% asset browserconfig.xml %}"/>
  <meta name="theme-color" content="#ffffff"/>

{%- comment %} the code below uses single quotes to prevet jekyll-polyglot from adding a language to the url {% endcomment -%}
{% for lang in site.languages -%}
  {% if lang == site.default_lang -%}
    {% continue -%}
  {% endif -%}
  {%- if site.baseurl == '' %}
  <link rel="alternate" hreflang="{{ lang | replace: '_', '-' }}" href='{{ page.permalink | replace:'index.html','' | absolute_url }}' />
  {% endif -%}
{% endfor -%}
  <link rel="alternate" hreflang="x-default" href='{{ page.permalink | replace:'index.html','' | absolute_url }}' />
</head>
